/*
 * SPDX-FileCopyrightText: 2021 Espressif Systems (Shanghai) CO LTD
 *
 * SPDX-License-Identifier: Unlicense OR CC0-1.0
 */

#ifndef GATTS_TABLE_CREAT_DEMO_H
#define GATTS_TABLE_CREAT_DEMO_H


/* Attributes State Machine */
enum
{
    IDX_SVC,

    IDX_CHAR_2A29,
    IDX_CHAR_VAL_2A29,
    IDX_CHAR_CFG_2A29,

    IDX_CHAR_2A24,
    IDX_CHAR_VAL_2A24,
    IDX_CHAR_CFG_2A24,
    
    IDX_CHAR_2A25,
    IDX_CHAR_VAL_2A25,
    IDX_CHAR_CFG_2A25,

    IDX_CHAR_2A27,
    IDX_CHAR_VAL_2A27,
    IDX_CHAR_CFG_2A27,

    IDX_CHAR_2A26,
    IDX_CHAR_VAL_2A26,
    IDX_CHAR_CFG_2A26,

    IDX_CHAR_2A28,
    IDX_CHAR_VAL_2A28,
    IDX_CHAR_CFG_2A28,

    IDX_CHAR_2A23,
    IDX_CHAR_VAL_2A23,
    IDX_CHAR_CFG_2A23,


    IDX_CHAR_2A2A,
    IDX_CHAR_VAL_2A2A,
    IDX_CHAR_CFG_2A2A,

    IDX_CHAR_2A50,
    IDX_CHAR_VAL_2A50,
    IDX_CHAR_CFG_2A50,

    HRS_IDX_NB,
};



enum
{



    IDX_SVC2,
    IDX_CHAR_A2,
    IDX_CHAR_VAL_A2,
    IDX_CHAR_CFG_A2,

    HRS_IDX_NB2,
};

void bsp_Ble_Init(void);
void bsp_Uart_Init(void );

int bsp_Ble_Gatts_Send_Indicate(uint8_t len, uint8_t *data);

void simple_ota_service(void);

extern uint8_t BT_Device_Name[14];

void Get_Mac_Init(void );
extern int bsp_Uart_Send_Data(uint8_t * data , unsigned int len);
extern uint8_t BT_Device_Name[14];
int app_ble_stop(void);
#endif